package dk.lundogbendsen.seam;

import javax.ejb.Stateless;
import javax.ejb.TransactionAttribute;
import javax.persistence.EntityManager;

import org.jboss.seam.annotations.In;
import org.jboss.seam.annotations.Logger;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.annotations.Out;
import org.jboss.seam.log.Log;

@Stateless
@Name("helloService")
public class HelloServiceBean implements HelloService {

	@In
	private String name;
	
	@In
	EntityManager seamHelloDatabase;
	
	@Logger
	Log log;

	@Out(value="greeting")
	public String sayHello() {
		
		SimpleEntity simpleEntity = (SimpleEntity)seamHelloDatabase.find(SimpleEntity.class,1L);
		
		log.info("Have retrieved - " + simpleEntity.getVal());
		
		if ("".equals(name)) {
			name = "World";
		}
		return simpleEntity.getVal() + " " + name;
	}
}
