package dk.lundogbendsen.seam;

import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;

import org.jboss.seam.log.LogProvider;
import org.jboss.seam.log.Logging;
import org.jboss.seam.servlet.SeamListener;

public class ServletDelayedInit extends SeamListener {
	
   private static final LogProvider log = Logging.getLogProvider(ServletContextListener.class);

	@SuppressWarnings("static-access")
	@Override
   public void contextInitialized(ServletContextEvent event) {
		
      log.info( "Welcome to Overrided Seam Startup");
      log.info( "Waiting for 10 seconds...");
      
      try {
    	  Thread.currentThread().sleep(10000);
      } catch (Exception e) {
    	  log.error( "Exception caught waiting",e);
      }
      
      super.contextInitialized(event);
   }
}